﻿using System.Activities;

namespace System.Management.HyperV.Activities
{
    public class CreateDifferenceDisk : CodeActivity
    {
        [RequiredArgument]
        public InArgument<string> BaseDiskName { get; set; }

        [RequiredArgument]
        public InArgument<string> DifferenceDiskName { get; set; }

        protected override void Execute(CodeActivityContext context)
        {
            using (var ims = new ImageManagementService())
            {
                ims.CreateDifferencingVirtualHardDisk(
                    DifferenceDiskName.Get(context),
                    BaseDiskName.Get(context));
            }
        }
    }
}
