﻿
namespace System.Management.HyperV.Model.Msvm.CIM
{
    public abstract class ComputerSystem : System
    {
        #region Constructor
        internal protected ComputerSystem(ManagementObject wmiInstance)
            : base(wmiInstance)
        {
        }
        #endregion

        public ushort[] Dedicated
        {
            get { return (ushort[])_dmo.Dedicated; }
        }
        public string[] IdentifyingDescriptions
        {
            get { return _dmo.IdentifyingDescriptions as string[]; }
        }
        public string[] OtherDedicatedDescriptions
        {
            get { return _dmo.OtherDedicatedDescriptions as string[]; }
        }
        public string[] OtherIdentifyingInfo
        {
            get { return _dmo.OtherIdentifyingInfo as string[]; }
        }
        public ushort[] PowerManagementCapabilities
        {
            get { return (ushort[])_dmo.PowerManagementCapabilities; }
        }
        public ushort ResetCapability
        {
            get { return (ushort)_dmo.ResetCapability; }
        }
    }
}
