﻿
namespace System.Management.HyperV.Model.Msvm.CIM
{
    public abstract class VirtualSystemSettingData : SettingData
    {
        #region Constructor
        internal protected VirtualSystemSettingData(ManagementObject wmiInstance)
            : base(wmiInstance)
        {
        }
        #endregion

        public bool AutoActivate
        {
            get { return (bool)_dmo.AutoActivate; }
        }
        public string CreationTime
        {
            get { return _dmo.CreationTime as string; }
        }
        public string OtherVirtualSystemType
        {
            get { return _dmo.OtherVirtualSystemType as string; }
        }
        public SettingType SettingType
        {
            get { return (SettingType)_dmo.SettingType; }
        }
        public string SystemName
        {
            get { return _dmo.SystemName as string; }
        }
        public ushort VirtualSystemType
        {
            get { return (ushort)_dmo.VirtualSystemType; }
        }
    }
}
