﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace System.Management.HyperV.Model.Msvm
{
    /// <summary>
    /// Represents the configured state of the memory for a virtual system.
    /// </summary>
    /// <remarks>http://msdn.microsoft.com/en-us/library/cc136856(VS.85).aspx</remarks>
    public class MemorySettingData : CIM.ResourceAllocationSettingData
    {
        #region Constructor
        internal protected MemorySettingData(ManagementObject wmiInstance)
            : base(wmiInstance)
        {
        }
        #endregion
    }
}
