﻿
namespace System.Management.HyperV
{
    /// <summary>
    /// The usage context for this instance of Msvm_VirtualSystemSettingData. This property is inherited from CIM_VirtualSystemSettingData.
    /// </summary>
    /// <remarks>http://msdn.microsoft.com/en-us/library/cc136944(VS.85).aspx</remarks>
    public enum SettingType : ushort
    {
        /// <summary>
        /// This instance represents the current settings for the virtual system.
        /// </summary>
        VirtualSystemCurrent = 3,
        /// <summary>
        /// This instance represents the settings for a snapshot of the virtual system.
        /// </summary>
        VirtualSystemSnapshot = 5
    }
}
