﻿
namespace System.Management.HyperV
{
    /// <summary>
    /// An enumerated value indicating an administrator's default or startup configuration for the Enabled State of an element. By default, the element is "Enabled" (value=2).
    /// </summary>
    /// <remarks>http://msdn.microsoft.com/en-us/library/cc136818(VS.85).aspx</remarks>
    public enum EnabledDefaultOption : ushort
    {
        Enabled = 2,
        Disabled = 3,
        NotApplicable = 5,
        EnabledButOffline = 6,
        NoDefault = 7
    }
}
